### Method

# RB RhythmDB query_append_params

#### Declaration [src]

    void
    rhythmdb_query_append_params (
      RhythmDB* db,
      RhythmDBQuery* query,
      RhythmDBQueryType type,
      RhythmDBPropType prop,
      const GValue* value
    )

#### Description [src]

Appends a new query term to `query`.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  The query to append to.

  The data is owned by the caller of the method.

`type`

  Type: `RhythmDBQueryType`

  Query type.

`prop`

  Type: `RhythmDBPropType`

  Query property.

`value`

  Type: `GValue`

  Query value.

  The data is owned by the caller of the method.